%define upstream_name    Storable
%define upstream_version 2.45

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Persistent data structure mechanism
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
The Storable package brings persistence to your Perl data structures
containing SCALAR, ARRAY, HASH or REF objects, i.e. anything that can be
conveniently stored to disk and retrieved at a later time.

It can be used in the regular procedural way by calling 'store' with a
reference to the object to be stored, along with the file name where the
image should be written.

The routine returns 'undef' for I/O problems or other internal error, a
true value otherwise. Serious errors are propagated as a 'die' exception.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc ChangeLog META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.450.0-2.mga4
+ Revision: 530013
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 2.450.0-1.mga4
+ Revision: 454691
- update to 2.45

* Wed May 29 2013 jquelin <jquelin> 2.390.0-5.mga4
+ Revision: 431746
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 2.390.0-4.mga3
+ Revision: 405547
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.390.0-3.mga3
+ Revision: 372774
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 2.390.0-2.mga3
+ Revision: 315577
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 2.390.0-1.mga3
+ Revision: 294863
- update to 2.39

* Mon Aug 27 2012 jquelin <jquelin> 2.350.0-2.mga3
+ Revision: 284602
- perl 5.16.1 rebuild

* Mon Jun 11 2012 jquelin <jquelin> 2.350.0-1.mga3
+ Revision: 259675
- update to 2.35

* Wed May 30 2012 jquelin <jquelin> 2.300.0-3.mga3
+ Revision: 251129
- rebuild for perl 5.16

* Fri Nov 04 2011 jquelin <jquelin> 2.300.0-2.mga2
+ Revision: 162841
- take priority over module bundled with perl 5.14.2

  + kharec <kharec>
    - update to 2.30

* Fri Jul 08 2011 jquelin <jquelin> 2.290.0-1.mga2
+ Revision: 120345
- update to 2.29

* Sat Jun 11 2011 sander85 <sander85> 2.250.0-4.mga2
+ Revision: 103561
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 2.250.0-3.mga1
+ Revision: 53660
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 2.250.0-2.mga1
+ Revision: 23785
- rebuild

* Sun Jan 09 2011 jquelin <jquelin> 2.250.0-1.mga1
+ Revision: 4342
- imported package perl-Storable

